LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File python-oslo.log.changes of Package python-oslo.log (Project home:garloff:OTC:cli-mitaka)

-------------------------------------------------------------------
Tue Aug 30 16:18:31 UTC 2016 - tbechtold@suse.com

- update to version 3.16.0
  * Remove discover from test-requirements
  * Fixes unit tests on Windows
  * Fix parameters of assertEqual are misplaced
  * Updated from global requirements
  * Add Python 3.5 classifier and venv

-------------------------------------------------------------------
Wed Aug 10 14:40:34 UTC 2016 - tbechtold@suse.com

- update to version 3.12.0
  * log: don't create foo.log
  * Improve olso.log test coverage for edge cases
  * log: Introduce _iter_loggers
  * Replace "LOG.exception(_" with "LOG.exception(_LE"
  * Make available to log encoded strings as arguments
  * Revert "Remove 'verbose' option"
  * Imported Translations from Zanata
  * Convert unicode data to utf-8 before calling syslog.syslog()
  * Provide a normal method for deprecation warnings.
  * Fix regression causing the default log level to become WARNING
  * Use new logging specific method for context info
  * Fix typo: 'Olso' to 'Oslo'
  * Reload log_config_append config on SIGHUP
  * Updated from global requirements
  * Remove 'verbose' option
  * Reduce READ_FREQ and TIMEOUT for watch-file

-------------------------------------------------------------------
Tue May 31 05:44:29 UTC 2016 - tbechtold@suse.com

- update to 3.7.0:
  * Fix example issue
  * Updated from global requirements
  * Allow reload of 'debug' option
  * Imported Translations from Zanata
  * Remove direct dependency on babel
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Remove outdated comment in ContextFormatter
  * Enable log_method_call to work on static method
  * Explicitly exclude tests from bandit scan
  * Improve test code coverage of _options
  * Update reno for stable/mitaka
  * Unit test cleanup and validation improvements
  * Added +2 release names for versionutils
  * Fix broken links in docs usage page
  * Enable bandit in gate
  * Updated from global requirements
- Use renderspec service to update .spec file

-------------------------------------------------------------------
Mon Mar 14 11:01:43 UTC 2016 - tbechtold@suse.com

- update to 3.2.0:
  * use log.warning instead of log.warn
  * Imported Translations from Zanata
  * Updated from global requirements
  * Remove deprecated use-syslog-rfc-format option
  * Add release note for removed log_format option
  * Updated from global requirements
  * add page for release notes for unreleased versions
  * add a release note about using reno
  * Add reno for release notes management
  * remove pypy from default tox environment list
  * stop making a copy of options discovered by config generator
  * always run coverage report
  * Remove bandit.yaml in favor of defaults
  * Updated from global requirements
  * Fix spell typos
  * set oslo.cache and dogpile to INFO
  * Update translation setup
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Imported Translations from Zanata
  * Updated from global requirements
  * Improve Logging docs with inline examples and context example
  * Revert "Pass environment variables of proxy to tox"
  * Clean up removed hacking rule from [flake8] ignore lists
  * Provide a deprecated_reason for use_syslog_rfc_format
  * Remove deprecated log-format option
  * Improve documentataion of Oslo Log Usage
  * Added public method to getting default log levels
  * Updated from global requirements
  * enable isotime for exceptions
  * assertIsNone(val) instead of assertEqual(None,val)
- Adjust Requires

-------------------------------------------------------------------
Mon Jan  4 14:15:12 UTC 2016 - dmueller@suse.com

- update to 2.2.0:
  * Set keystoneauth default log level to WARN
  * Format record before passing it to syslog
  * Updated from global requirements
  * Updated from global requirements
  * Remove iso8601 dependency
  * Remove duplicated profiles section from bandit.yaml
  * test_logging_error: build a logger at the test level
  * Cleanup all handlers in _setup_logging_from_conf
  * Drop python 2.6 support
  * Add a 'bandit' target to tox.ini
  * Updated from global requirements
  * Log to sys.stderr to avoid "No handlers could be found..."
  * Remove python 2.6 classifier
  * Remove python 2.6 and cleanup tox.ini
  * Refactor Python 2.6 check to use constant
  * The user_identity format flexibility
  * Updated from global requirements
  * Imported Translations from Zanata
  * Updated from global requirements
  * Allow oslo.log to work on non-linux platforms

-------------------------------------------------------------------
Mon Nov 16 10:10:43 UTC 2015 - bwiedemann@suse.com

- update to 1.12.0:
  * Fix coverage configuration and execution
  * No need for Oslo Incubator Sync
  * Imported Translations from Zanata
  * Fix unintended assignment of "syslog"
  * Make doc title consistent with readme
  * add documentation with example of an external configuration file
  * add auto-generated docs for config options
  * Update option docs for when log config is used
  * Updated from global requirements
  * Add optional 'fixture' dependencies
  * Change ignore-errors to ignore_errors
  * Fix the home-page value in setup.cfg with openstack.org
  * FastWatchedFileHandler class was added

-------------------------------------------------------------------
Wed Sep  9 06:50:36 UTC 2015 - tbechtold@suse.com

- update to 1.11.0:
  * Fix poor examples of exception logging
  * Updated from global requirements
- Adjust Requires according to requirements.txt

-------------------------------------------------------------------
Thu Aug 27 14:34:35 UTC 2015 - tbechtold@suse.com

- update to 1.10.0:
  * Fix package name for PublishErrorsHandler
  * Updated from global requirements
  * Fix duplicate-key pylint issue
  * Maintain old oslo logger names
  * Add Mitaka release to versionutils
  * Update single letter release names to full names
  * Provide a way to register versionutils options
  * Imported Translations from Transifex
  * Updated from global requirements
- Adjust Requires according to requirements.txt

-------------------------------------------------------------------
Wed Aug  5 06:44:20 UTC 2015 - tbechtold@suse.com

- update to 1.8.0:
  * Set verbose to True and deprecate it
  * Define TRACE logging level
  * Imported Translations from Transifex
  * Updated from global requirements

-------------------------------------------------------------------
Wed Jul 29 10:30:57 UTC 2015 - tbechtold@suse.com

- Unify spec file. Use fedora compatible files macros

-------------------------------------------------------------------
Tue Jul 28 12:45:33 UTC 2015 - tbechtold@suse.com

- update to 1.7.0:
  * Imported Translations from Transifex
  * Add more default fancier formatting params
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Do not report deprecations in subclasses
  * Imported Translations from Transifex
  * Updated from global requirements
  * Add tox target to find missing requirements
- update Requires according to requirements.txt

-------------------------------------------------------------------
Sun Jul 19 06:37:07 UTC 2015 - dmueller@suse.com

- update to 1.6.0:
  * Remove duplication of fatal_deprecations option
  * Imported Translations from Transifex

-------------------------------------------------------------------
Wed Jun 24 07:09:54 UTC 2015 - tbechtold@suse.com

- update to 1.5.0:
  * Updated from global requirements
  * Switch badges from 'pypip.in' to 'shields.io'
  * Deprecate use-syslog-rfc-format for removal

-------------------------------------------------------------------
Wed Jun 10 17:41:34 UTC 2015 - tbechtold@suse.com

- update to 1.4.0:
  * just version bump. no other changes

-------------------------------------------------------------------
Tue Jun  2 15:53:08 UTC 2015 - tbechtold@suse.com

- update to 1.3.0:
  * Do not fail if syslog is not available
  * Use proper deprecation for use-syslog-rfc-format option
  * Replace RFCSysLogHandler by a syslog() based one
  * Make remove_in=0 (no removal) use a better syntax
  * Remove is_compatible from versionutils
  * Add versionutils options to list_opts
  * Add versionutils to API documentation
  * Advertise support for Python3.4 / Remove support for Python 3.3
  * Updated from global requirements
  * Updated from global requirements
  * Remove run_cross_tests.sh
  * Deprecate WritableLogger - used for eventlet logging
  * Log deprecation message when catching deprecated exceptions
  * Change misleading TRACE to ERROR
  * Uncap library requirements for liberty
  * Provide an API to let tempest control the log file
  * fix pep8 errors
  * Add pypi download + version badges
  * Update to latest hacking
  * Add link to Logging Guidelines
  * move versionutils into place
  * Add liberty release name to versionutils
  * Expose opts entry point for version_utils
  * Switch from oslo.config to oslo_config
  * Remove oslo.log code and clean up versionutils API
  * Remove code that moved to oslo.i18n
  * Enhance versionutils.deprecated to work with classes
  * Add Kilo release name to versionutils
  * Allow deprecated decorator to specify no plan for removal
  * Add JUNO as a target to versionutils module
  * pep8: fixed multiple violations
  * Use oslotest instead of common test module
  * Use hacking import_exceptions for gettextutils._
  * fixed typos
  * Fix violations of H302:import only modules
  * Adds decorator to deprecate functions and methods
  * Remove vim header
  * Add `versionutils` for version compatibility checks
  * Default to True for use-syslog-rfc-format
  * Updated from global requirements
  * Restore automatic unicode conversion
  * Add migration notes
- Adjust Requires according to requirements.txt

-------------------------------------------------------------------
Wed Apr 22 13:58:12 UTC 2015 - tbechtold@suse.com

- Add missing BuildRequires and enable testsuite

-------------------------------------------------------------------
Wed Apr 22 13:54:34 UTC 2015 - tbechtold@suse.com

- Remove python-discover from BuildRequires. We no longer care
  about python < 2.7 versions.

-------------------------------------------------------------------
Tue Mar 10 15:04:01 UTC 2015 - tbechtold@suse.com

- update to 1.0.0:
  * Updated from global requirements
  * Pickup instance from log format record
  * Make use_syslog=True log to syslog via /dev/log
- update Requires according to requirements.txt

-------------------------------------------------------------------
Tue Feb 24 08:24:31 UTC 2015 - tbechtold@suse.com

- update to version 0.3.0:
  * Updated from global requirements
- Update Requires

-------------------------------------------------------------------
Thu Feb  5 15:39:26 UTC 2015 - tbechtold@suse.com

- update to version 0.2.0:
  * Expose fixtures through oslo_log.fixture
  * Add fixture to let tests change log levels
  * Rename logging fixture module
  * Update comment to match implementation
  * fix link to bug tracker in readme
  * Updated from global requirements
- Update Requires

-------------------------------------------------------------------
Fri Jan 23 07:24:39 UTC 2015 - tbechtold@suse.com

- Adjust Requires versions

-------------------------------------------------------------------
Fri Jan 23 07:18:37 UTC 2015 - tbechtold@suse.com

- Initial packaging